% project2 generates points on a unit circle for use by kohonen's 
%    SOM algorithm.
%   [i,w,t,e] = project2(numPoints,numOutNodes,DataFile) generates n
%   umPoints points around the edge of a circle of radius 1 with origin [0,0] 
%   and calls som returning i: the sample inputs, w: the final weights, t: 
%   the number of iterations at termination and e: the average squared
%   distance at time of termination
%
%   Input:
%     numPoints - number of training points
%     numOutNodes - number of output nodes
%     DataFile - name of file to write data to
%
% Author: Dale Patterson
% $Version: 1.0.1 $ $Date: 3.30.06 $
% 
function [pts,w] = project2(p,m,Report)
pts = -1 + 2.*rand(3*p,2);               % generate 3x pts in range [-1,1]
k = randperm(3*p);                       % generate random permutation
pts = norm_circle(pts(k(1:p),:));       % & take & normalize 60 pts to unit circle
w = som(m,0.5,0.005,4,pts,Report); % now get the iterations from som
