% calculate statistics for given network configuration
% stats is is a 12-by-7 radius matrix such that 
% m(i,j) gives the mean distances of points in cluster i from the cluster 
% centroid at (j-1)
function [avg,dev] = som_statistics(i,w)
m = 12;
avg = zeros(m,7);
dev = zeros(m,7);
clusters = clustered(i,w);

for i=1:m    
    % ds(:,1) = index of node
    % ds(:,2) = distance from node i
    ds = zeros(12,2);
    ds(:,1) = mod((-5:6)+(i-1),m)+1;
    ds(:,2) = abs(-5:6);
    
    % calculate distances 
    % for each point in cluster{i}(j,:)
	clear dist dist1 dist2 dist3 dist4 dist5 dist6;
	for j=1:size(clusters{i},1)
        % d = 0
		dist(j,:) = clusters{i}(j,:) - w(i,:);
        % d = 1
        w1 = w(ds(find(ds(:,2)==1)),:);
        dist1(j,:) = clusters{i}(j,:) - w1(1,:);
        dist1(j+size(clusters{i},1),:) = clusters{i}(j,:) - w1(2,:);
        % d = 2
        w2 = w(ds(find(ds(:,2)==2)),:);
        dist2(j,:) = clusters{i}(j,:) - w1(2,:);
        dist2(j+size(clusters{i},1),:) = clusters{i}(j,:) - w2(2,:);
        % d = 3
        w3 = w(ds(find(ds(:,2)==3)),:);
        dist3(j,:) = clusters{i}(j,:) - w3(1,:);
        dist3(j+size(clusters{i},1),:) = clusters{i}(j,:) - w3(2,:);
        % d = 4
        w4 = w(ds(find(ds(:,2)==4)),:);
        dist4(j,:) = clusters{i}(j,:) - w4(1,:);
        dist4(j+size(clusters{i},1),:) = clusters{i}(j,:) - w4(2,:);
        % d = 5
        w5 = w(ds(find(ds(:,2)==5)),:);
        dist5(j,:) = clusters{i}(j,:) - w5(1,:);
        dist5(j+size(clusters{i},1),:) = clusters{i}(j,:) - w5(2,:);
        % d = 6
        dist6(j,:) = clusters{i}(j,:) - w(ds(find(ds(:,2)==6)),:);
    end
	avg(i,1) = mean(nthroot(sum(dist.^2,2),2));
	dev(i,1) = std(nthroot(sum(dist.^2,2),2));
    avg(i,2) = mean(nthroot(sum(dist1.^2,2),2));
	dev(i,2) = std(nthroot(sum(dist1.^2,2),2));
    avg(i,3) = mean(nthroot(sum(dist2.^2,2),2));
	dev(i,3) = std(nthroot(sum(dist2.^2,2),2));
    avg(i,4) = mean(nthroot(sum(dist3.^2,2),2));
	dev(i,4) = std(nthroot(sum(dist3.^2,2),2));    
    avg(i,5) = mean(nthroot(sum(dist4.^2,2),2));
	dev(i,5) = std(nthroot(sum(dist4.^2,2),2));    
    avg(i,6) = mean(nthroot(sum(dist5.^2,2),2));
	dev(i,6) = std(nthroot(sum(dist5.^2,2),2));
    avg(i,7) = mean(nthroot(sum(dist6.^2,2),2));
    dev(i,7) = std(nthroot(sum(dist6.^2,2),2));
end